import {ContainerComponent} from "../controller.js";

/**
 * 面板组件
 * @param {[type]} dataModel [description]
 */
export default class Panel extends ContainerComponent {

  constructor(__tfp, dataModel, parent) {
    super(__tfp, "Panel", dataModel, parent);
  }

  //组件提示
  get title() { return this.dataModel.title }
  set title(value) {
    this.dataModel.title = value;
    if(this._jqObj) this._jqObj.attr("title", title);
  }
}